From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 14 August 2008<P>

Kirk; sounds like a lot of extra space when it could be done in email or word or a on paper even. The only reason I would see that you needed that is if you are writing from a computer phone and needed a place to tuck it away but again that could be in email. It's your call you know what kind of mess that could be or not. I don't need anything like that.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 14 August 2008<P>

I'm with BK.<BR>
I suppose some would use it if it was there but then again, is it really needed? It would take up a lot of space.
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 14 August 2008<P>

also voting with ali... i've several emails to myself that are saving future masterpieces (haha).  in theory, sounds like a great idea.  but, i don't think i'd use it though.  
<HR>
From: <a href="/blend/av.cgi?id=20">distant moon</a><BR>
Date: 14 August 2008<P>

I think people would use it more than they think.  When I come to the blender I want to just write or pick up where I left off...I'd rather not have to transcribe from paper notes or find my folders with files in them or draft emails.  <BR>
<BR>
If directly beside the "Submit" button was a "Save as Draft" button and in your "all poems" list draft poems just had a symbol for their draft status, it would be easy.<BR>
<BR>
As for taking up too much room...I think people overestimate the amount of storage space simple text takes up.<BR>
<BR>
Anyway, these are just my ramblings...if the group doesn't want features like that, doesn't bother me any.
<HR>
From: <a href="/blend/av.cgi?id=20">distant moon</a><BR>
Date: 14 August 2008<P>

And just to avoid confusion, when I say the "all poems" list, I don't mean the new submissions page, I mean...for instance, my user profile page that lists all my poems.<BR>
<BR>
Except that only I would be able to see the ones with the "Draft" symbol.<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 14 August 2008<P>

I guess it would make a convenient pocket to hide things, so that might be nice.<BR>
<BR>
bk<BR>

<HR>